com.google.gwt.aria.client

## Interface ListRole

All Superinterfaces:
  RegionRole, Role, SectionRole, StructureRole

All Known Subinterfaces:
  DirectoryRole, ListboxRole, MenubarRole, MenuRole, TablistRole

All Known Implementing Classes:
  DirectoryRoleImpl, ListboxRoleImpl, ListRoleImpl, MenubarRoleImpl, MenuRoleImpl, TablistRoleImpl

    public interface ListRole
    extends RegionRole

A type that represents the list role in the ARIA specification.

See Also:
  `Role`, `Roles`

### Method Summary

### Methods inherited from interface com.google.gwt.aria.client.SectionRole

`getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

### Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`